<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" omit-xml-declaration="yes" indent="yes"/>

<!-- The root nodes. -->
<xsl:template  match="/">

<h1>Categories</h1>
Total Number of Categories: <font size="-1"><i><xsl:value-of select="count(//category)"/></i></font>
<table border="1">
<tr><th>Id</th><th>Name</th><th>Description</th></tr>
<xsl:for-each select="//category">
   <xsl:variable name="catAnchor" select="catid"/>
   <a name="{$catAnchor}"/>
   <tr>
     <td><xsl:value-of select="catid"/></td>
     <td><xsl:value-of select="name"/></td>
     <td><xsl:value-of select="descn"/></td>
   </tr>
</xsl:for-each>
</table>

<h1>Products</h1>
Total number of Products: <font size="-1"><i><xsl:value-of select="count(//product)"/></i></font>
<table border="1">
<tr><th>Id</th><th>Name</th><th>Description</th><th>Category</th></tr>
<xsl:for-each select="//product">
   <xsl:variable name="prodAnchor" select="productid"/>
   <xsl:variable name="prodCatAnchor" select="category"/>
   <a name="{$prodAnchor}"/>
   <tr>
     <td><xsl:value-of select="productid"/></td>
     <td><xsl:value-of select="name"/></td>
     <td><xsl:value-of select="descn"/></td>
     <td><a href="#{$prodCatAnchor}"><xsl:value-of select="category"/></a></td>
   </tr>
</xsl:for-each>
</table>

<h1>Items</h1>
Total number of Items: <font size="-1"><i><xsl:value-of select="count(//item)"/></i></font>
<table border="1">
<tr><th>Id</th><th>Attribute</th><th>Available Qty</th><th>Price</th><th>Product</th></tr>
<xsl:for-each select="//item">
   <xsl:variable name="itemProdAnchor" select="productid"/>
   <tr>
     <td><xsl:value-of select="itemid"/></td>
     <td><xsl:value-of select="attr1"/></td>
     <td><xsl:value-of select="qty"/></td>
     <td>$<xsl:value-of select="listprice"/></td>
     <td><a href="#{$itemProdAnchor}"><xsl:value-of select="productid"/></a></td>
   </tr>
</xsl:for-each>
</table>

</xsl:template>

</xsl:stylesheet>
